.custom-form-container{
    width: 100%;
}

.form-panel{
    display: flex;
    flex-direction: column;

    .inputs{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 20px;
    }

    .checkbox-card{
        display: flex;
        position: relative;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100px;
        aspect-ratio: 1/1;
        border-radius: 8px;
        padding: 20px;
        background-color: white;
        box-shadow: 0px 2px 2px 2px rgba(0, 0, 0, 0.1);
        text-align: center;
        border: solid 1px transparent;

        &:has(input:checked){
            border: solid 1px var(--wp--preset--color--custom-dark-blue);

            &:after{
                position: absolute;
                top: 10px;
                right: 10px;
                display: block;
                content: '';
                background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='0.5' y='0.5' width='23' height='23' rx='11.5' stroke='%23023750' fill='white'/%3E%3Cpath d='M6 12L9.88905 15.889L17.6664 8.11084' stroke='%23023750' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' fill='white'/%3E%3C/svg%3E%0A");
                background-size: 20px;
                background-repeat: no-repeat;
                width: 20px;
                height: 20px;
            }
        }

        input{
            position: absolute;
            top: 10px;
            width: 20px;
            height: 20px;
            right: 10px;
            accent-color: var(--wp--preset--color--custom-dark-blue);
            margin: 0;
        }

        img{
            max-width: 70px;
        }
    }
}

.panel-title{
    font-weight: 600;
    font-size: 20px;
}

.form-panel {
    width: 100%;
    display: none;
}

.fields{
    flex-direction: column !important;

    input, textarea{
        background-color: #F5F5F5;
        border-radius: 5px;
        border: solid 1px #DEDEDE;
        padding: 10px 15px;
        width: 100%;
        box-sizing: border-box;
        font-family: inherit;
    }

    .row{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }
}

#prev-btn{
    background-color: var(--wp--preset--color--custom-dark-blue);
    border: none;
    color: white;
    padding: 15px 20px;
    border-radius: 8px;
    font-family: inherit;
}

#next-btn, #submit-btn{
    font-family: inherit;
    cursor: pointer;
    background-color: white;
    border: none;
    color: var(--wp--preset--color--custom-dark-blue);
    border: solid 1px var(--wp--preset--color--custom-dark-blue);
    padding: 15px 20px;
    border-radius: 8px;
}

.form-panel.active {
    display: block;
}

.navigation-buttons {
    margin-top: 20px;
    display: flex;
    gap: 10px;
}

/* Conteneur gris (fond) */
.progress-container {
    width: 100%;
    height: 8px;
    background-color: #e0e0e0;
    border-radius: 10px;
    margin: 10px 0 30px 0;
    overflow: hidden;
}

/* Barre orange (progression) */
.progress-bar {
    height: 100%;
    width: 0%;
    background-color: #FF8D28;
    border-radius: 10px;
    transition: width 0.4s ease-in-out;
}

.msg-success, .wpcf7-response-output{
    color: green !important;
    border: solid 1px green !important;
    border-radius: 8px !important;
    padding: 15px 20px !important;
    background-color: #e4f6e4 !important;
}

.msg-error{
    color: darkred;
    border: solid 1px darkred;
    border-radius: 8px;
    padding: 15px 20px;
    background-color: #fcd7d7;
}
